DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: fix test of ninja install
@ 2019-09-14  9:04 Thomas Monjalon
  2019-09-16 15:48 ` Thomas Monjalon
  0 siblings, 1 reply; 2+ messages in thread
From: Thomas Monjalon @ 2019-09-14  9:04 UTC (permalink / raw)
  To: bruce.richardson; +Cc: bluca, dev

When trying to compile some examples with libdpdk.pc,
the right environment (for default target) was not loaded.
The consequence is to not detect some dependencies because
of missing directories in PKG_CONFIG_PATH.

The environment preparation is moved to a dedicate function,
and called for the default target (cc),
before testing the install output of the default build.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/test-meson-builds.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 2eb9b23b0..08e83eb5c 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -37,11 +37,15 @@ fi
 default_path=$PATH
 default_pkgpath=$PKG_CONFIG_PATH
 
-reset_env ()
+load_env () # <target compiler>
 {
+	targetcc=$1
 	export PATH=$default_path
 	export PKG_CONFIG_PATH=$default_pkgpath
 	unset DPDK_MESON_OPTIONS
+	command -v $targetcc >/dev/null 2>&1 || return 1
+	DPDK_TARGET=$($targetcc -v 2>&1 | sed -n 's,^Target: ,,p')
+	. $srcdir/devtools/load-devel-config
 }
 
 build () # <directory> <target compiler> <meson options>
@@ -52,10 +56,7 @@ build () # <directory> <target compiler> <meson options>
 	shift
 	# skip build if compiler not available
 	command -v ${CC##* } >/dev/null 2>&1 || return 0
-	command -v $targetcc >/dev/null 2>&1 || return 0
-	reset_env
-	DPDK_TARGET=$($targetcc -v 2>&1 | sed -n 's,^Target: ,,p')
-	. $srcdir/devtools/load-devel-config
+	load_env $targetcc || return 0
 	if [ ! -f "$builddir/build.ninja" ] ; then
 		options="--werror -Dexamples=all"
 		for option in $DPDK_MESON_OPTIONS ; do
@@ -128,6 +129,7 @@ build_path=build-x86-default
 export DESTDIR=$(pwd)/$build_path/install-root
 $ninja_cmd -C $build_path install
 
+load_env cc
 pc_file=$(find $DESTDIR -name libdpdk.pc)
 export PKG_CONFIG_PATH=$(dirname $pc_file):$PKG_CONFIG_PATH
 
-- 
2.23.0


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: fix test of ninja install
  2019-09-14  9:04 [dpdk-dev] [PATCH] devtools: fix test of ninja install Thomas Monjalon
@ 2019-09-16 15:48 ` Thomas Monjalon
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Monjalon @ 2019-09-16 15:48 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, bluca

14/09/2019 11:04, Thomas Monjalon:
> When trying to compile some examples with libdpdk.pc,
> the right environment (for default target) was not loaded.
> The consequence is to not detect some dependencies because
> of missing directories in PKG_CONFIG_PATH.
> 
> The environment preparation is moved to a dedicate function,
> and called for the default target (cc),
> before testing the install output of the default build.
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>

Applied




^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-09-16 15:48 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-09-14  9:04 [dpdk-dev] [PATCH] devtools: fix test of ninja install Thomas Monjalon
2019-09-16 15:48 ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).